package api

import (
	"gitea.qpismont.fr/qpismont/trepa/internal/core"
	"gitea.qpismont.fr/qpismont/trepa/internal/variables/repository"
	"gitea.qpismont.fr/qpismont/trepa/internal/variables/service"
	"github.com/jmoiron/sqlx"
)

func BindRoutes(srv *core.ServerMux, db *sqlx.DB) {
	repository := repository.NewRepository(db)
	service := service.NewService(repository)
	controller := NewController(service)

	srv.HandleFunc("GET /variables/{name}", controller.GetVariableByName)
}
